Subject: bug#17361: Tramp does not save history across sessions.

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 Apr 2014 11:09:34 -0400

> The problem seems to be more general. Emacs does not support to have
> several process sentinels for a given process. If several sentinels are
> declared for a process by ?`set-process-sentinel', they compete for
> being attached to the process. And the last one wins.

Not true any more: Emacs-24.4's `add-function' was invented in response
to this specific request (or maybe it was for set-process-filter, but
the point stands).

        Stefan